body {
  margin: 0;
}

.chats-layout {
  width: 100%;
  min-width: 1200px;
  height: 100%;
  border-radius: 4px;
  display: flex;
  background: #fff;
}

.chats-layout .ant-prompts {
  color: rgba(0, 0, 0, 0.85);
}

.assistant-new .chats-menu {
  margin: 0 0 0 0;
  background: #F4F6F9;
  padding: 0 12px;
  width: 212px;
  height: 100vh;
  display: flex;
  flex-direction: column;
}

.assistant-new .chats-menu .chats-logo {
  display: flex;
  height: 72px;
  align-items: center;
  justify-content: start;
  padding: 6px 0 20px 0;
  margin: 18px 0 0 0;
  box-sizing: border-box;
  gap: 6px;
}

.assistant-new .chats-menu .chats-logo img:nth-child(1) {
  width: 24px;
  height: 18px;
}

.assistant-new .chats-menu .chats-logo span {
  font-weight: 500;
  font-size: 20px;
  color: #333333;
}

.assistant-new .chats-menu .choose-model {
  padding: 4px 4px 30px 4px;
  margin: 0 0 20px 0;
  display: flex;
  align-items: center;
  flex-direction: column;
  border-bottom: 1px solid #DEE1ED;
  gap: 4px;
}

.assistant-new .chats-menu .choose-model .choose-model-item {
  /* height: 22px; */
  border-radius: 8px 8px 8px 8px;
  display: flex;
  align-items: center;
  justify-content: left;
  gap: 2px;
  cursor: pointer;
  padding: 8px 14px;
}

.assistant-new .chats-menu .choose-model .choose-model-item .model-icon {
  width: 20px;
  height: 20px;
  color: #B5BECE;
  font-size: 18px;
}

.assistant-new .chats-menu .choose-model .choose-model-item .title {
  width: 160px;
  height: 22px;
  font-weight: 400;
  font-size: 16px;
  color: #333333;
  line-height: 22px;
  text-align: left;
}

.assistant-new .chats-menu .choose-model .choose-model-item:hover {
  background: rgba(6, 7, 31, 0.04);
}

.assistant-new .chats-menu .choose-model .choose-model-item.active {
  background: #fff;
}

.assistant-new .chats-menu .choose-model .choose-model-item.active .title {
  color: #3a67e8;
  font-weight: 500;
}

.assistant-new .chats-menu .choose-model .choose-model-item.active .model-icon {
  color: #3a67e8;
}

.assistant-new .chats-menu .recent-conversations {
  border-bottom: 1px solid #DEE1ED;
  min-height: calc(-540vh);
  margin: 0 0 20px 0;
  padding: 0 0 20px 0;
}

.assistant-new .chats-menu .recent-conversations .conversation-item-delete {
  color: #666;
  font-size: 22px;
}

.assistant-new .chats-menu .recent-conversations .conversation-item-delete:hover {
  color: #3a67e8;
}

.assistant-new .chats-menu .recent-conversations .title {
  display: inline-block;
  margin: 0 0 16px 0;
  font-weight: 500;
  font-size: 12px;
  color: #666666;
}

.assistant-new .chats-menu .login-user-info {
  height: 56px;
  border-radius: 12px 12px 12px 12px;
  margin: 0 0 10px 0;
  padding: 0 0 0 15px;
  display: flex;
}

.assistant-new .chats-menu .login-user-info .user-info {
  width: 100%;
  gap: 17px;
  display: flex;
  align-items: center;
}

.assistant-new .chats-menu .login-user-info .user-info img {
  height: 40px;
  width: 40px;
}

.assistant-new .chats-menu .login-user-info .user-info .go-2-login {
  text-decoration: none;
}

.assistant-new .chats-menu .login-user-info .user-info .user-name {
  font-weight: 500;
  font-size: 16px;
  color: #333333;
  width: 144px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.assistant-new .chats-menu .login-user-info:hover {
  background: rgba(6, 7, 31, 0.04);
}

.assistant-new .chats-conversations {
  padding: 0 10px 0 0 !important;
  overflow-y: auto;
  height: calc(-500vh);
  margin: 0 -10px 0 0;
  scrollbar-width: thin;
  scrollbar-color: rgba(0, 0, 0, 0.1) transparent;
}

.assistant-new .chats-conversations li {
  height: 38px !important;
  min-height: 38px !important;
}

.assistant-new .chats-conversations li span.ant-conversations-label {
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 198px;
  display: inline-block;
  white-space: nowrap;
}

.assistant-new .chats-conversations li .conversation-item-op {
  display: none;
  width: 30px;
}

.assistant-new .ant-conversations-item:hover {
  background: rgba(6, 7, 31, 0.04);
}

.assistant-new .ant-conversations-item:hover .conversation-item-op {
  display: flex;
  width: 30px;
  height: 22px;
  background: transparent;
  align-items: center;
  justify-content: center;
}

.assistant-new .chats-chat {
  height: 100%;
  width: 100%;
  max-width: 800px;
  margin: 0 auto;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  padding: 68px 0 10px 0;
  gap: 16px;
}

.assistant-new .chats-chat .ant-sender-actions-btn,
.assistant-new .chats-chat .ant-sender-actions-btn:hover {
  background-color: #3a67e8 !important;
}

.assistant-new .chats-chat .ant-bubble-footer {
  margin-top: 8px;
}

.assistant-new .chats-chat .ant-sender-content textarea {
  min-height: 66px;
}

.assistant-new .chats-chat .ant-sender-actions-list {
  position: absolute;
  bottom: 14px;
  right: 14px;
}

.assistant-new .chats-chat .ant-prompts-list-wrap .ant-prompts-item {
  background: #fff;
}

.assistant-new .chats-chat .ant-prompts-list-wrap .ant-prompts-item:hover {
  background: #fff;
  box-shadow: 4px 4px 16px 0 #E7E9EF;
}

.assistant-new .chats-chat .ant-prompts-list-wrap .ant-prompts-item:hover .ant-prompts-desc {
  color: #3a67e8;
}

.assistant-new .chats-chat .no-auth-message .ant-prompts-title {
  font-weight: 400;
  font-size: 16px;
  color: #333333;
}

.assistant-new .chats-chat .ant-select-selector {
  background: #fff !important;
  border-color: #fff !important;
  border-radius: 100px;
  font-weight: 400;
  font-size: 12px;
  color: #333333;
}

.assistant-new .chats-chat .ant-select-selector:hover {
  background: rgba(6, 7, 31, 0.04) !important;
  border-color: rgba(6, 7, 31, 0.04) !important;
  font-weight: 400;
  font-size: 12px;
}

.assistant-new .chats-chat .online-search {
  width: 98px;
  height: 29px;
  background: #FFFFFF;
  font-weight: 400;
  font-size: 12px;
  border-color: #fff;
  color: #333333;
  border-radius: 100px 100px 100px 100px !important;
}

.assistant-new .chats-chat .online-search:hover {
  background: rgba(6, 7, 31, 0.04);
  border-color: rgba(6, 7, 31, 0.04);
}

.assistant-new .chats-chat .ant-radio-button-wrapper-checked.online-search {
  color: #333333;
  background: rgba(6, 7, 31, 0.04);
  border-color: rgba(6, 7, 31, 0.04);
}

.assistant-new .chats-chat .ant-sender {
  background: #F7F9FB;
  height: 140px;
}

.assistant-new .chats-chat .ant-sender-footer {
  margin-bottom: 16px;
}

.assistant-new .chats-chat .ant-sender-footer .ant-radio-button-label {
  display: flex;
  align-items: center;
}

.assistant-new .chats-chat .ant-sender:focus-within {
  border-color: #3a67e8 !important;
  background: #F7F9FB !important;
}

.assistant-new .chats-chat .sender-prompts-items {
  margin-left: 62px;
  width: 746px;
  display: flex;
  align-items: center;
  justify-content: left;
  gap: 10px;
}

.assistant-new .chats-chat .sender-prompts-items .sender-prompts-item {
  padding: 8px 24px;
  text-align: center;
  line-height: 20px;
  cursor: pointer;
  font-weight: 400;
  font-size: 14px;
  color: #666666;
  background: #F4F6F9;
  border-radius: 8px 8px 8px 8px;
}

.assistant-new .chats-chat .sender-prompts-items .sender-prompts-item.active {
  color: #3a67e8;
  background: rgba(226, 36, 29, 0.08);
}

.assistant-new .chats-chat .sender-prompts-items .sender-prompts-item:hover {
  color: #3a67e8;
  background: rgba(226, 36, 29, 0.08);
}

.assistant-new .chats-chat .ant-avatar {
  width: 50px;
  height: 50px;
}

.assistant-new .chats-chat .ant-avatar.ant-avatar-circle.ant-avatar-icon {
  border: none;
}

.assistant-new .chats-chat .ant-bubble-content.ant-bubble-content-filled {
  background: #F7F9FB;
}

.assistant-new .chats-chat .ant-bubble-content .ant-prompts {
  margin: 12px 8px;
}

.assistant-new .chats-chat .ant-bubble-dot {
  color: #3a67e8 !important;
}

.assistant-new .chats-chat .ant-bubble-dot .ant-bubble-dot-item {
  color: #3a67e8 !important;
  background-color: #3a67e8 !important;
}

.assistant-new .chats-chat .ant-bubble-content-borderless {
  display: flex;
  align-items: center;
  font-weight: 400;
  font-size: 16px;
  color: #333333;
  line-height: 19px;
}

.assistant-new .chats-messages {
  flex: 1;
  margin: 0 -16px 0 0;
  padding: 0 20px 0 0;
  scrollbar-width: thin;
  scrollbar-color: rgba(0, 0, 0, 0.1) transparent;
}

.assistant-new .chats-placeholder {
  width: 688px;
  background: #F4F6F9;
  border-radius: 16px 16px 16px 16px;
  padding: 24px;
}

.assistant-new .chats-placeholder .welcome-prompts .ant-prompts-list {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.assistant-new .chats-placeholder .welcome-prompts .ant-prompts-list .ant-prompts-item {
  color: #333333;
  width: 100%;
  font-weight: 400;
  font-size: 16px;
}

.assistant-new .chats-placeholder .welcome-prompts .ant-prompts-list .ant-prompts-item:hover {
  background: #fff;
  color: #3a67e8;
  box-shadow: 4px 4px 16px 0 #E7E9EF;
}

.assistant-new .chats-sender {
  width: 736px;
  margin-left: 62px;
  border-color: #fff;
  box-shadow: none;
}

.assistant-new .chats-addBtn {
  background: #1677ff0f;
  border: 1px solid #1677ff34;
  width: calc(50%);
  margin: 0 12px 24px 12px;
}

.assistant-new .re-sync {
  width: 90px;
  height: 29px;
  border-radius: 8px 8px 8px 8px;
  font-weight: 400;
  font-size: 12px;
  color: #666666;
  line-height: 29px;
  display: flex;
  align-items: center;
  gap: 4px;
  cursor: pointer;
  justify-content: center;
}

.assistant-new .re-sync:hover {
  background: var(--color-enaea-primary-bg);
  color: #3a67e8;
}

.assistant-new .welcome-desc {
  font-weight: 400;
  font-size: 16px;
  color: #333333;
  line-height: 19px;
  text-align: left;
}

.assistant-new .welcome-icon {
  width: 50px;
  height: 50px;
  background: linear-gradient(307deg, rgba(0, 60, 222, 0.3) 0%, rgba(169, 192, 255, 0.2) 100%);
  border-radius: 57px 57px 57px 57px;
}

.assistant-new .welcome-icon img {
  width: 100%;
}

.assistant-new .ant-select-item-option-selected {
  background: #fff !important;
}

.assistant-new .ant-prompts .ant-prompts-list {
  overflow: hidden;
}

.assistant-new .resource-message-title {
  font-weight: 400;
  font-size: 16px;
  color: #333333;
}

.assistant-new .resource-course {
  margin: 12px 8px;
}

.assistant-new .resource-course .ant-prompts-item:hover {
  background: #fff !important;
  box-shadow: 4px 4px 16px 0 #E7E9EF;
}

.assistant-new .resource-course .ant-prompts-item:hover .ant-prompts-desc {
  color: #3a67e8;
}

.assistant-new .resource-course .resource-message-project {
  margin: 16px 0 0 0;
}

.assistant-new .resource-course .resource-message-project .ant-collapse-header-text {
  align-items: center;
  display: flex;
}

.assistant-new .resource-course .resource-course-list {
  margin: 16px 0 0 0;
  display: flex;
  align-items: center;
  gap: 10px;
  flex-wrap: wrap;
}

.assistant-new .resource-course .resource-course-list .resource-course-item {
  width: 210px;
  height: 164px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: center;
  justify-content: center;
  padding: 6px;
  background: #FFFFFF;
  border-radius: 9px 9px 9px 9px;
  cursor: pointer;
}

.assistant-new .resource-course .resource-course-list .resource-course-item img {
  width: 204px;
  height: 111px;
  border-radius: 7px 7px 7px 7px;
}

.assistant-new .resource-course .resource-course-list .resource-course-item span {
  font-weight: 500;
  font-size: 14px;
  color: #333333;
  line-height: 16px;
  max-width: 200px;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.assistant-new .resource-course .resource-course-list .resource-course-item:hover {
  box-shadow: 4px 4px 16px 0 #E7E9EF;
}

.assistant-new .resource-course .resource-course-list .resource-course-item:hover span {
  color: #3a67e8;
}

.assistant-new .resource-experts {
  padding: 6px;
}

.assistant-new .resource-experts .resource-experts-list {
  margin: 8px 0 0 0;
  display: flex;
  align-items: center;
  gap: 16px;
  flex-wrap: wrap;
}

.assistant-new .resource-experts .resource-experts-list .resource-experts-item {
  min-width: 130px;
  height: 114px;
  background: #FFFFFF;
  border-radius: 8px 8px 8px 8px;
  display: flex;
  flex-direction: column;
  gap: 12px;
  align-items: center;
  justify-content: center;
  padding: 6px;
}

.assistant-new .resource-experts .resource-experts-list .resource-experts-item img {
  width: 50px;
  height: 50px;
  border-radius: 57px 57px 57px 57px;
}

.assistant-new .resource-experts .resource-experts-list .resource-experts-item span {
  font-weight: 500;
  font-size: 14px;
  color: #333333;
  line-height: 16px;
  max-width: 160px;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.assistant-new .resource-experts .resource-experts-list .resource-experts-item:hover span {
  color: #3a67e8;
}

.assistant-new .delete-modal .ant-btn {
  height: 40px;
}

.assistant-new .delete-modal .ant-btn-primary,
.assistant-new .delete-modal .ant-btn-primary:hover {
  background: #3a67e8 !important;
  border-radius: 6px 6px 6px 6px !important;
}

.assistant-new .delete-modal .ant-btn-default:hover {
  border-color: #d9d9d9 !important;
  color: rgba(0, 0, 0, 0.88) !important;
}

.assistant-new .ant-sender-actions-btn-loading-icon {
  background: #FFEAE8 !important;
  color: #3a67e8 !important;
  border-radius: 50%;
}

.assistant-new .defaultVideo {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
}

.assistant-new .defaultVideo video {
  width: 100%;
}

.assistant-new .agent-user {
  display: flex;
  align-items: end;
  justify-content: center;
  height: 100%;
  margin: 0 0 0 0;
}

.assistant-new .agent-user img {
  margin: 0 0 24px 0;
}

.main {
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    display: block;
    margin: 0;
    padding: 0;
    overflow: hidden;
    position: relative;
}

.main a{
    width: 100%;
    height: 100%;
}

.main img {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 999;
    width: 80%;
    height: auto;
    display: block;
    object-fit: contain;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html,
body {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.main .cover {
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 998;
    background-color: rgba(0, 0, 0, 0.5);
}